// Compatta Piano dei Conti Analisi di Bilancio

#include <applicat.h>
#include <isam.h>
#include <mask.h>
#include <utility.h>
#include <config.h>
#include <urldefid.h>

#include "ab0.h"

class Comp_abpcon : public TApplication
{ 
  //TSystemisamfile* _abpcon;
  TLocalisamfile* _abpcon;
  
public:
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);
  
  Comp_abpcon() {}
};

bool Comp_abpcon::create()
{
  TApplication::create();
  
  //_abpcon = new TSystemisamfile (LF_ABPCON);
  _abpcon = new TLocalisamfile (LF_ABPCON);
  
  //_abpcon->packfile();
  //_abpcon->packindex();
  
  dispatch_e_menu (BAR_ITEM(1));

  return TRUE;
}

bool Comp_abpcon::destroy()
{
  delete _abpcon;

  return TApplication::destroy();
}

bool Comp_abpcon::menu(MENU_TAG m)
{
  if (m == BAR_ITEM(1))
    return FALSE; 
  
  return FALSE;
}

int ab0300 (int argc, char* argv[])
{
  Comp_abpcon main_app;
  main_app.run(argc, argv, "Compatta");
  return TRUE;
}







